* {
  box-sizing: border-box;
}
:root {
  --white: white;
  --gray: #ccc;
  --red: tomato;
  --purple: #990099;
  --yellow: #ffd725;
  --black: black;
  --black-pale: #0d0d0d;
  --error: red;
  --green: green;

  /*"Dark Mode"*/
  --dark-background: #181818;
  --dark-color: #fff;

  --welcome-section-width: 1200px;
  --nav-width: 410px;
}

/*Dark Mode*/
.dark-background {
  background: var(--dark-background) !important;
}
.dark-color {
  color: var(--dark-color) !important;
}
.dark-border-bottom {
  border-bottom: 2px solid var(--dark-background) !important;
}
.dark-border-bottom:hover {
  border-bottom: 2px solid var(--white) !important;
}

/*
font-family: 'Balsamiq Sans', cursive;
font-family: 'Marck Script', cursive;
font-family: 'Rubik', sans-serif;
*/

html {
  font-family: 'Balsamiq Sans', cursive;
  /*font-family: 'Baloo 2', cursive;*/
  /* scrollbar-color: var(--yellow) var(--purple); */
}
body {
  margin: 0;
  padding: 0;
  height: 100vh;
  width: 100vw;
  position: relative;
  overflow: hidden;
  cursor: url('img/arrow.png'), default;
}
h1,
h2,
h3,
h4,
h5,
h6,
p,
span {
  padding: 0;
  margin: 0;
}
a {
  text-decoration: none;
  color: var(--black-pale);
}
ul {
  margin: 0;
  padding: 0;
}
li {
  list-style-type: none;
}
a:hover {
  cursor: url('img/pointer.png'), default;
}
button:focus {
  outline: 0;
}
hr {
  margin: 0;
}

#scroll-top {
  position: relative;
  top: -1000px;
  display: inline-block;
  width: 0;
  height: 0;
  padding: 0;
  margin: 0;
}

.viewport-wrapper {
  position: absolute;
  width: calc(100% + var(--nav-width));
  height: 100%;
  right: 0;
  display: flex;
  transition: 0.8s cubic-bezier(0.53, -0.39, 0.36, 1.37);
}
.navigation-on {
  width: 100%;
}

.viewport-wrapper > * {
  overflow-y: scroll;
  padding: 20px;
  position: relative;
}

.navigation {
  position: relative;
  width: var(--nav-width);
  background: var(--white);
  border-right: 10px solid var(--black-pale);
  z-index: 1000;
  cursor: url(img/arrowP.png), default;
  padding-top: 33px;
}

.main-content {
  width: calc(100% - var(--nav-width));
  background-repeat: repeat-y;
  background-size: 100%;
  overflow-x: hidden;
  padding: 0;
  position: relative;
  scroll-behavior: smooth;
  padding: 10px;
}

/*Mouse Trail*/
.trail {
  /* className for the trail elements */
  position: absolute;
  height: 11px;
  width: 11px;
  border-radius: 100%;
  background: purple;
  display: block;
  opacity: 0;
}

/*...............................................................*/

/*NAVIGATION*/

/*Hamburger*/
.hamburger {
  position: fixed;
  top: 25px;
  left: -5px;
  z-index: 1001;
  transition: 0.7s !important;
  cursor: url('img/pointer.png'), pointer !important;
  padding: 25px 37px 27px 25px !important;
  border-bottom-right-radius: 50px !important;
}
.hamburger-inner,
.hamburger-inner::before,
.hamburger-inner::after {
  width: 53px !important;
  height: 9px !important;
  background: var(--black-pale) !important;
}
.hamburger-dark,
.hamburger-dark::before,
.hamburger-dark::after {
  background: var(--white) !important;
}
.hamburger-inner::before {
  top: -14px !important;
}
.hamburger-inner::after {
  bottom: -14px !important;
}

.hamburger--arrowturn-r.is-active .hamburger-inner::after {
  transform: translate3d(-10px, 0, 0) rotate(45deg) scale(0.7, 1) !important;
}
.hamburger--arrowturn-r.is-active .hamburger-inner::before {
  transform: translate3d(-10px, 0, 0) rotate(-45deg) scale(0.7, 1) !important;
}
.hamburger--arrowturn.is-active .hamburger-inner::after {
  transform: translate3d(10px, 0, 0) rotate(-45deg) scale(0.7, 1) !important;
}
.hamburger--arrowturn.is-active .hamburger-inner::before {
  transform: translate3d(10px, 0, 0) rotate(45deg) scale(0.7, 1) !important;
}
.hamburger.hamburger-cubic-bezier {
  left: calc(var(--nav-width) - 130px);
  transition: 0.7s cubic-bezier(0.53, -0.39, 0.36, 1.37) !important;
}
.hamburger:hover {
  opacity: 1 !important;
  transition: 0.7s !important;
}
.is-active {
  background: none !important;
}

/*Logo*/
.logo {
  border-bottom: 1px solid var(--black-pale);
  cursor: url('img/pointer.png'), default;
  padding: 15px 0px !important;
  margin-bottom: 5px;
}
.logo a {
  align-items: center;
  display: flex;
  width: 100%;
}
.logo:hover img {
  animation-name: nav-main-btn-hover-i;
  animation-duration: 0.4s;
}
.logo img {
  width: 55px;
  position: relative;
  top: -5px;
}

.logo span {
  padding: 0 5px;
  border: 2px solid var(--black);
}
.ivan {
  background: var(--purple);
  color: var(--white);
  border-top-left-radius: 5px;
  border-right: none !important;
}
.mitov {
  background: var(--yellow);
  color: var(--purple);
  border-bottom-right-radius: 5px;
}

/*...................................................*/

/*Menu and Links in Navigations*/
.navigation-left-wrapper > * {
  cursor: url('img/pointer.png'), default;
}

.navigation-left-wrapper {
  position: absolute;
  right: 28px;
  left: 28px;
  font-size: 33px;
  padding-bottom: 50px;
}
.navigation-left-wrapper a {
  display: flex;
  width: 100%;
  align-items: center;
}
.nav-main-btn {
  display: flex;
  align-items: center;
  padding: 15px 5px;
  width: 80%;
}
.nav-main-btn:not(.no-hover) {
  text-align: left;
  border-bottom: 2px solid var(--white);
}
.navigation-left-wrapper h1,
.navigation-left-wrapper h2 {
  font-size: 21px;
  display: inline-block;
  margin-left: 15px;
}
.nav-main-btn:hover:not(.no-hover),
.quick-navigation-item ul li:hover {
  transition: 0.3s;
  border-bottom: 2px solid var(--black-pale);
}
.nav-main-btn:hover:not(.no-hover) i,
.quick-navigation-item:hover i {
  animation-name: nav-main-btn-hover-i;
  animation-duration: 0.3s;
}
.quick-navigation-item ul li {
  border-bottom: 2px solid var(--white);
}
@keyframes nav-main-btn-hover-i {
  50% {
    transform: rotateY(-270deg);
  }
  100% {
    transform: rotateY(-360deg);
  }
}

/*Quick Navigation*/
.quick-navigation-btn {
  width: 100%;
}
.quick-navigation-btn ul {
}
.quick-navigation-btn hr {
  border: 2px dashed var(--black);
}
.quick-navigation {
  display: inline-block;
  margin-top: 12px;
  line-height: 40px;
  font-size: 0.6em;
  margin-left: 53px;
}
.quick-navigation-item {
  margin-bottom: 20px;
}
.quick-navigation-item ul {
  padding-left: 45px;
}
.quick-navigation-item ul li {
  list-style-type: disc;
}
.quick-navigation-item i {
  font-size: 1.2em;
}

/*----------------------------------------------------*/
/*Navigation & Sidebar circles - top left and top right of main-content*/
.circles {
  position: fixed;
  width: 90px;
  height: 81px;
  background: var(--white);
  opacity: 1;
  transition: 1s;
  z-index: 100;
  overflow: hidden;
}
.navigation-circle {
  left: 10px;
  top: 25px;
  border-right: 5px solid var(--purple);
  border-bottom: 5px solid var(--purple);
  border-top: 5px solid var(--purple);
  border-top-right-radius: 50px;
  border-bottom-right-radius: 50px;
}
.navigation-circle-active {
  transition: 0.2s;
  opacity: 0;
  left: -110px;
}
.sidebar-circle {
  width: 80px;
  height: 71px;
  right: 27px;
  top: 29px;
  border-left: 5px solid var(--purple);
  border-bottom: 5px solid var(--purple);
  border-top: 5px solid var(--purple);
  border-top-left-radius: 50px;
  border-bottom-left-radius: 50px;
  opacity: 1;
  transition: 0.2s linear;
}
.sidebar-circle-active {
  transition: 0.4s;
  /*opacity: 0;*/
  right: -110px;
}

/*----------------------------------------------------*/

/*Right Sidebar*/
.sidebar-right {
  position: fixed;
  top: 25px;
  right: 27px;
  z-index: 1000;
  padding: 90px 10px 20px;
  overflow: visible;
  text-align: center;
  transition: 0.4s;
  background: white;
  border-bottom-left-radius: 15px;
  border-top-left-radius: 15px;
  cursor: url(img/arrowP.png), default;
  border-bottom: 5px solid var(--purple);
  border-top: 5px solid var(--purple);
  border-left: 5px solid var(--purple);
}
.sidebar-right-hide {
  right: -120px;
}
.sidebar-right:hover {
}
.sidebar-right-arrow-wrapper {
  display: inline-block;
  position: fixed;
  top: 25px;
  right: 35px;
  padding: 13px 17px 12px 20px;
  border-bottom-left-radius: 50px;
  cursor: url('img/pointer.png'), default;
  transition: 0.4s;
}
.fa-angle-double-right {
  font-size: 54px;
}
.sidebar-right-arrow-hidden {
  transform: rotateX(360deg) rotateY(180deg);
  top: 25px;
  right: 20px;
  opacity: 1;
  transition: 0.4s;
}
.sidebar-right-arrow-wrapper:hover {
  /*background: rgba(255, 255, 255, 1);*/
}
.sidebar-right-arrow-wrapper:hover .fa-angle-double-right {
  animation-name: sidebar-right-arrow;
  animation-duration: 0.7s;
}
@keyframes sidebar-right-arrow {
  25% {
    transform: translateX(10px);
  }
  50% {
    transform: translateX(-10px);
  }
  75% {
    transform: translateX(10px);
  }
  100% {
    transform: translateX(0px);
  }
}
/*Language and Dark Mode sliders*/
/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 82px;
  height: 48px;
  margin-bottom: 60px;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: url('img/pointer.png'), default;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  border-radius: 3px;
  background-color: var(--gray);
  transition: 0.4s;
}

.slider:before {
  position: absolute;
  content: '';
  height: 34px;
  width: 34px;
  left: 4px;
  bottom: 5px;
  background-color: var(--white);
  transition: 0.4s;
}

/*Language slider*/
.language-btn {
  width: 74px;
  box-sizing: content-box;
  border-radius: 10px;
  height: 37px;
  border: 3px solid var(--black-pale);
  left: -2px;
}
.language-btn .slider:before {
  height: 33px;
  width: 32px;
  left: 0px;
  bottom: 0px;
  content: 'РС';
  background: rgba(204, 204, 204, 0.7);
  color: var(--black-pale);
  text-align: center;
  font-size: 1.4em;
  border-radius: 5px;
  font-weight: bold;
  box-sizing: content-box;
  border: 2px solid var(--white);
  line-height: 1.5;
}
.language-btn input:checked + .slider:before {
  animation-name: slider-language-transform-rs;
  animation-duration: 0.4s;
  animation-fill-mode: forwards;
  content: 'EN';
}
.language-btn input:not(:checked) + .slider:before {
  transform: translateX(35px);
  animation-name: slider-language-transform-uk;
  animation-duration: 0.4s;
  animation-fill-mode: forwards;
  content: 'РС';
}
.language-btn input + .slider {
  background: url('img/langB.jpg') no-repeat;
  background-size: contain;
  border-radius: 8px;
}

/* Rounded slider - Dark Mode */
.dark-mode-btn {
  transition: 0.3s;
}
.dark-mode-btn:hover {
  transition: 0.3s;
  /*filter: drop-shadow(8px 8px 1px var(--black-pale));*/
}
.dark-mode-btn::before {
  content: '';
  top: 0px;
  bottom: 2px;
  right: 2px;
  left: 0px;
  border-radius: 28px;
  position: absolute;
  background-color: var(--black-pale);
  transition: 0.3s;
  box-shadow: 2.5px 2.5px 2.5px 2.5px var(--black-pale);
  filter: brightness(50%);
}
.dark-mode-btn:hover::before {
  top: 6px;
  bottom: -4px;
  right: -4px;
  left: 6px;
  transition: 0.3s;
  opacity: 0.9;
}
.slider.round {
  border-radius: 34px;
  background: var(--gray);
  border: 2px solid var(--black-pale);
}
input:checked + .slider.round {
  background-color: var(--black-pale);
  border: 2px solid var(--gray);
}
.slider.round:before {
  border-radius: 50%;
  background: var(--black-pale);
  transition: 0.3s cubic-bezier(0.41, -0.6, 0.57, 1.59);
}
input:checked + .slider.round:before {
  transform: translateX(33px);
  background: var(--gray);
}

/*Slider effects*/
@keyframes slider-language-transform-rs {
  50% {
    transform: translateX(38px) rotateY(-180deg);
  } /*Bilo -180px na rotateY*/
  100% {
    transform: translateX(38px) rotateY(360deg);
  }
}
@keyframes slider-language-transform-uk {
  50% {
    transform: translateX(0px) rotateY(270deg);
  }
  100% {
    transform: translateX(0px) rotateY(360deg);
  }
}

.social {
  display: flex;
  flex-direction: column;
}
.social img {
  width: 71px;
  margin-bottom: 20px;
  transition: 0.3s;
  filter: drop-shadow(3px 3px 1px var(--black-pale));
}
.social img:hover {
  transform: scale(1.1);
  transition: 0.3s;
  filter: drop-shadow(6px 6px 3px var(--black-pale));
}
/*Tooltips*/
.tooltip {
  position: absolute;
  background: black;
  color: var(--white);
  z-index: 1000;
  padding: 5px 10px;
  font-size: 0.9em;
  border-radius: 15px;
  opacity: 0;
  visibility: hidden;
  top: -35px;
  left: -60px;
}
.language-btn .tooltip {
  top: -35px;
  left: -60px;
}
.dark-mode-btn .tooltip {
  top: -35px;
  left: -40px;
}
.language-btn:hover .tooltip,
.dark-mode-btn:hover .tooltip {
  filter: drop-shadow(14px 14px 5px rgba(0, 0, 0, 0.1));
  animation-name: tooltip-show;
  animation-duration: 2s;
}
@keyframes tooltip-show {
  15% {
    visibility: visible;
    opacity: 0.8;
  }
  90% {
    opacity: 0.8;
  }
  100% {
    visibility: hidden;
    opacity: 0;
  }
}

/*Scrollbars*/
/*Main-content*/
.main-content.light-mode::-webkit-scrollbar {
  width: 17px;
  background: var(--purple);
}
.main-content.light-mode::-webkit-scrollbar-thumb {
  background: linear-gradient(
    90deg,
    #ffd725 20%,
    #ffd725 20% 40%,
    #990099 40% 60%,
    #ffd725 60% 80%,
    #ffd725 80%
  );
  border-radius: 15px;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
  margin-right: 5px;
}
.main-content.dark-mode::-webkit-scrollbar {
  width: 17px;
  background: var(--dark-background);
}
.main-content.dark-mode::-webkit-scrollbar-thumb {
  background: purple;
  border-radius: 15px;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
  margin-right: 5px;
}
/*Navigation*/
.navigation::-webkit-scrollbar {
  width: 13px;
  background: #ffe14b;
  /*border-radius: 15px;*/
}
.navigation::-webkit-scrollbar-thumb {
  background: linear-gradient(
    45deg,
    #ffd725 40%,
    #990099 40% 60%,
    #ffd725 60% 80%
  );
  border-radius: 5px;
  margin-right: 5px;
}
/*.navigation::-webkit-scrollbar-thumb {
	background-image: -webkit-linear-gradient(45deg,
      rgba(255, 255, 255, .2) 25%,
	  transparent 25%,
	  transparent 50%,
	  rgba(255, 255, 255, .2) 50%,
	  rgba(255, 255, 255, .2) 75%,
	  transparent 75%,
	  transparent);
	background-color: var(--purple);
	border-radius: 15px;
	margin-right: 5px;
}*/
/*Sidebar-right*/
/*.sidebar-right::-webkit-scrollbar {
	width: 11px;
	background: var(--black-pale);
	display: none;
}
.sidebar-right:hover::-webkit-scrollbar {
	width: 5px;
	background: var(--black-pale);
	display: block;
}*/

/*...............................................*/

/*MAIN CONTENT*/

.main-content-wrapper {
  padding: 50px;
  border-radius: 10px;
  position: relative;
  transition: 1s;
}
.viewport-wrapper.navigation-on .main-content-wrapper {
  left: 0;
  /*margin-left: 50px;*/
}
.welcome-main-wrapper {
  width: 100%;
  background: url('img/y4.jpg');
  background-size: cover;
  padding: 40px 20px 60px;
  min-height: calc(100vh - 20px);
  border: 5px solid var(--purple);
  cursor: url(img/arrowP.png), default;
}
.welcome-section {
  color: black;
  max-width: var(--welcome-section-width);
  left: 50%;
  margin: 0 auto;
  animation: slideIn 1.3s forwards;
  animation-delay: 2.3s;
  opacity: 0;
}
@keyframes slideIn {
  20% {
    opacity: 1;
  }
  100% {
    opacity: 1;
    left: 0;
  }
}
.content-section {
  margin: 10px 0 0;
  padding: 100px 150px;
  background: url('img/p28.png');
  border-radius: 0px;
}

.welcome-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 0 20px 0;
  position: relative;
  padding-bottom: 20px;
  border-bottom: 2px solid var(--black);
}

.welcome-avatar {
  display: inline-block;
  margin-right: 40px;
}

.welcome-avatar img {
  background: linear-gradient(180deg, black, var(--purple));
  border-radius: 50%;
  width: 150px;
  border: 3px solid purple;
}

.welcome-text {
  font-family: 'Consolas';
}

.welcome-word-wrapper {
  height: 100px;
  line-height: 100px;
  margin-bottom: 10px;
  position: relative;
}

.welcome-word {
  display: inline-block;
  font-size: 5em;
  height: 100px;
  transition: 0.5s;
}
.welcome-cursor {
  position: absolute;
  display: inline-block;
  width: 4px;
  height: 80px;
  top: 10px;
  background-color: var(--purple);
  animation: blink 1s step-end infinite;
}

.welcome-description {
  font-size: 1.1em;
  text-align: justify;
  padding: 0 20px;
}
.welcome-description-fade-in:not(.dark-color) {
  padding: 20px;
  border-radius: 8px;
  transition: background 1.2s, box-shadow 0.8s;
  background: rgba(255, 255, 255, 0.6);
  box-shadow: 0px 0px 6px 1px white;
}
.welcome-description p {
  opacity: 0;
  transition: 2s;
  line-height: 1.5;
}
.highlight-words {
  font-weight: normal;
  background: var(--purple);
  color: white;
  padding: 0 5px;
  border-radius: 3px;
}
a.highlight-words {
  display: inline-block;
}
a.highlight-words:hover {
  transform: scale(1.05);
}

@keyframes blink {
  from,
  to {
    background-color: transparent;
  }
  50% {
    background-color: var(--purple);
  }
}

/*CONTENT SECTION*/

.content-section-container {
  /*background: var(--purple);*/
  width: 100%;
  padding: 20px 60px 40px;
  margin-bottom: 40px;
  border-radius: 5px;
  border: 1px solid white;
  box-shadow: 5px 15px 2px 3px var(--black-pale);
  background: rgba(128, 0, 128, 0.3);
}

.content-section-container h1 {
  border-bottom: 2px solid var(--white);
  margin-bottom: 40px;
  padding-bottom: 10px;
}
.content-section-container h1 a {
  color: var(--white);
}
.content-section-container h1:hover i {
  animation-name: nav-main-btn-hover-i;
  animation-duration: 0.4s;
}
.content-section-container i {
  padding-top: 20px;
  margin-right: 10px;
}

.cards-container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(350px, 1fr));
  grid-gap: 60px;
  justify-content: space-around;
}

.cards-container.shopify-card {
  grid-template-columns: minmax(400px, 800px);
}
.cards-container.games-card {
  grid-template-columns: minmax(400px, 800px);
}
.cards-container.jspracticemix-card {
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
}

.card {
  border: 3px solid var(--black);
  border-radius: 8px;
  overflow: hidden;
  box-shadow: 3px 10px 2px 3px var(--black-pale);
  transition: 0.3s;
  transform: scale(0.97);
}
.card:hover {
  transform: scale(1);
  box-shadow: 15px 15px 2px 3px var(--black-pale);
  transition: 0.4s;
}

.card img {
  width: 100%;
  border-bottom: 3px solid var(--black);
  margin-bottom: -7px;
}

.card-description {
  padding: 10px 20px;
  background: white;
  height: 100%;
}
.card-description h3 {
  display: inline-block;
  margin-bottom: 5px;
}
.card-description p {
  line-height: 1.6;
}
.colab-name {
  font-weight: bold;
}
/*Website status: live vs practice*/
.highlight-live {
  border-bottom: 2px solid var(--green);
  border-radius: 1px;
}
.highlight-practice {
  border-bottom: 2px solid var(--yellow);
  border-radius: 1px;
}
.highlight-incomplete {
  border-bottom: 2px solid var(--red);
  border-radius: 1px;
}
.status {
  padding: 0 5px;
  border-radius: 5px;
}
.status-live {
  background: var(--green);
  color: white;
}
.status-practice {
  background: var(--yellow);
  color: black;
}
.status-incomplete {
  background: var(--red);
  color: white;
}

/*...............................................*/

/*CONTACT*/

#contact .welcome-wrapper {
  border-bottom: none;
  justify-content: center;
  padding: 0;
  line-height: 2;
}
#contact .welcome-wrapper h1 {
  font-size: 3em;
}
#contact .welcome-description {
  font-size: 1.4em;
  text-align: center;
}
#contact .welcome-description p {
  line-height: 2.5;
}
#contact .welcome-description div {
  line-height: 2.5;
}

.email-form-wrapper {
  display: inline-block;
  margin: 0 auto;
  opacity: 0;
  transition: 0.9s;
}
#email-form {
  width: 600px;
  position: relative;
}
#email-form > * {
  width: 100%;
}
.email-form-wrapper h2 {
  font-size: 1.4em;
  font-weight: normal;
  line-height: 1.2;
}
.email-form-wrapper p {
  font-size: 1em;
  line-height: 1.3 !important;
}
.email-form-wrapper span {
  font-size: 1.3em;
  /*filter: drop-shadow(5px 5px 3px var(--purple));*/
}
.email-form-wrapper label {
  text-align: left;
  display: block;
  cursor: url('img/arrowP.png'), default;
}
.email-form-wrapper input,
.email-form-wrapper textarea {
  cursor: url('img/text.png'), text;
  border: 3px solid var(--purple);
  border-radius: 5px;
  font-size: 1.3em;
}
.email-form-wrapper input[type='text'],
.email-form-wrapper textarea {
  color: var(--black) !important;
}
.email-form-wrapper textarea {
  max-width: 600px;
  min-height: 100px;
  height: 150px;
}
#submit-btn {
  background: var(--purple);
  color: var(--white);
  padding: 13px 20px 15px 20px;
  font-size: 1.5em;
  line-height: 1.5 !important;
  display: inline-block;
  border-radius: 15px;
  border: 2px solid white;
  cursor: url('img/pointer.png'), pointer;
  outline: none;
}
#submit-btn:hover {
  transform: scale(1.1);
}
.thankYouMsg {
  margin: 0 auto;
  margin-top: 50px;
  font-size: 0.9em;
  width: 800px;
  display: none;
}
.thankYouMsg * {
  font-weight: normal;
}
.thankYouMsg h3 {
  font-size: 0.9em;
}

#input-language {
  position: absolute;
  top: -10000px;
  opacity: 0;
  height: 0;
  width: 0;
  border: none;
}

.cv-download {
  background: var(--purple);
  color: white;
  padding: 8px 6px 10px 6px;
  border-radius: 5px;
  display: inline-block;
  box-shadow: 4px 4px 8px 3px var(--black-pale) !important;
  line-height: 1;
  opacity: 0.9;
}
.cv-download:hover {
  box-shadow: none !important;
  border-bottom: none !important;
  box-shadow: 4px 4px 8px 3px var(--black-pale) !important;
  transform: scale(1.05);
}

.phones-ring {
  animation: phonesRinging;
  animation-duration: 3s;
  display: inline-block;
  animation-delay: 2s;
  animation-iteration-count: infinite;
}
@-webkit-keyframes phonesRinging {
  2% {
    -webkit-transform: rotate(15deg);
    -moz-transform: rotate(15deg);
    -o-transform: rotate(15deg);
  }
  4%,
  8%,
  12%,
  16% {
    -webkit-transform: rotate(10deg);
    -moz-transform: rotate(10deg);
    -o-transform: rotate(10deg);
  }
  6%,
  10%,
  14%,
  18% {
    -webkit-transform: rotate(-10deg);
    -moz-transform: rotate(-10deg);
    -o-transform: rotate(-10deg);
  }
  20% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
  }
}
.mail-ring {
  animation: mailRinging;
  transform-origin: bottom center;
  animation-duration: 6s;
  display: inline-block;
  animation-delay: 3s;
  animation-iteration-count: infinite;
}
@-webkit-keyframes mailRinging {
  5% {
    -webkit-transform: rotate(-15deg);
    -moz-transform: rotate(-15deg);
    -o-transform: rotate(-15deg);
  }
  15% {
    -webkit-transform: rotate(-10deg);
    -moz-transform: rotate(-10deg);
    -o-transform: rotate(-10deg);
  }
  10%,
  20% {
    -webkit-transform: rotate(10deg);
    -moz-transform: rotate(10deg);
    -o-transform: rotate(10deg);
  }
  25% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
  }
}

.error-border {
  border: 3px solid var(--error) !important;
}
#error-popup-email {
  background: var(--red);
  color: var(--white);
  display: none;
}
#error-popup-email span {
  font-size: 0.8em;
}

/*MEDIA QUERIES*/

@media only screen and (max-width: 1850px) {
  :root {
    --welcome-section-width: 1050px;
  }
  #contact .welcome-wrapper h1 {
    text-align: center;
  }
}

@media only screen and (max-width: 1650px) {
}

@media only screen and (max-width: 1500px) {
  .viewport-wrapper.navigation-on .main-content .welcome-word {
    font-size: 4em !important;
  }
}
@media only screen and (max-width: 1300px) {
  :root {
    --welcome-section-width: 850px;
  }

  .viewport-wrapper.navigation-on .main-content .welcome-text {
    font-size: 0.8em !important;
  }
  .viewport-wrapper.navigation-on .main-content .welcome-description {
    font-size: 0.8em !important;
  }

  .viewport-wrapper.navigation-on .main-content .welcome-word-wrapper {
    height: 50px;
    line-height: 50px;
  }
  .viewport-wrapper.navigation-on .main-content .welcome-word {
    font-size: 4em !important;
    height: 50px;
  }
  .viewport-wrapper.navigation-on .main-content .welcome-cursor {
    opacity: 0;
    height: 10px;
  }
  #contact .viewport-wrapper.navigation-on #email-form {
    width: auto;
  }
  #contact .welcome-wrapper h1 {
    font-size: 2.3em;
  }
  .thankYouMsg {
    width: auto;
  }
}

@media only screen and (max-width: 1000px) {
  :root {
    --welcome-section-width: 80%;
  }
  .main-content-wrapper {
    padding: 30px;
  }
  .welcome-wrapper {
    flex-direction: column;
  }
  .welcome-text {
    text-align: center;
  }
  .welcome-word-wrapper {
    text-align: center;
  }
  .welcome-avatar {
    margin: 0;
  }
  .welcome-word {
    font-size: 4em;
  }
  .welcome-description {
    text-align: left;
  }
  .welcome-description p {
    line-height: 2;
  }
  .cards-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    grid-gap: 60px;
    justify-content: space-around;
  }

  .cards-container.shopify-card {
    grid-template-columns: minmax(300px, 800px);
  }
  .cards-container.games-card {
    grid-template-columns: minmax(300px, 800px);
  }
  .cards-container.jspracticemix-card {
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  }
  #contact .welcome-wrapper h1 {
    font-size: 2em;
  }
  /*	#contact .welcome-description {
		font-size: 1.2em;
	}*/
}
@media only screen and (max-width: 900px) {
  /*	#contact .welcome-wrapper h1 {
		font-size: 1.7em;
	}*/
  #email-form {
    width: 400px;
  }
}

@media only screen and (max-width: 800px) {
  :root {
    --nav-width: 400px;
  }
  .main-content {
    padding: 0;
  }
  .main-content-wrapper {
    font-size: 0.8em;
    padding: 0;
  }
  .welcome-main-wrapper {
    border-right: none;
  }
  .welcome-main-wrapper.dark-color {
    border-right: 5px solid var(--purple);
  }
  .welcome-word-wrapper {
    height: 60px;
    margin-bottom: 30px;
  }
  .welcome-word {
    height: 60px;
  }
  .welcome-cursor {
    height: 60px;
  }
  a.highlight-words {
    display: block;
    text-align: center;
  }
  .content-section-container {
    box-shadow: none !important;
    border: none !important;
    background: none !important;
  }
  .viewport-wrapper.navigation-on .main-content .welcome-word-wrapper {
    margin-bottom: 10px;
  }
  .viewport-wrapper.navigation-on .main-content .welcome-word {
    font-size: 3.5em !important;
  }
  .switch {
    margin-bottom: 30px;
    width: 75px;
    height: 45px;
  }
  .language-btn {
    width: 70px;
    height: 35px;
  }
  .language-btn .slider:before {
    height: 31px;
    width: 30px;
  }
  .sidebar-right {
    top: -5px;
    right: 17px;
    border-top-left-radius: 0;
    padding: 80px 8px 20px;
  }
  .sidebar-right-hide {
    transition: 0.5s ease-in-out;
    right: -520px;
  }
  .circles {
    width: 75px;
    height: 70px;
  }
  .sidebar-circle {
    right: 17px;
    width: 70px;
    height: 65px;
    top: 27px;
  }
  .sidebar-right-arrow-wrapper {
    top: 11px;
    right: 27px;
  }
  .fa-angle-double-right {
    font-size: 53px;
  }
  .sidebar-right-arrow-hidden {
    top: 20px;
    right: 8px;
  }
  .social img {
    width: 60px;
  }
  .navigation-circle {
    left: 0;
  }
  .viewport-wrapper.navigation-on .navigation-circle {
    left: -150px;
  }
  .slider:before {
    height: 33px;
    width: 33px;
    left: 3px;
    bottom: 4px;
  }
  input:checked + .slider.round:before {
    transform: translateX(31px);
  }
  .hamburger {
    left: -18px;
    top: 22px;
  }
  .hamburger-inner,
  .hamburger-inner::before,
  .hamburger-inner::after {
    width: 50px !important;
    height: 8px !important;
  }
  .hamburger--arrowturn-r.is-active .hamburger-inner::after {
    transform: translate3d(-9px, 0, 0) rotate(45deg) scale(0.8, 1) !important;
  }
  .hamburger--arrowturn-r.is-active .hamburger-inner::before {
    transform: translate3d(-9px, 0, 0) rotate(-45deg) scale(0.8, 1) !important;
  }
  .hamburger--arrowturn.is-active .hamburger-inner::after {
    transform: translate3d(9px, 0, 0) rotate(-45deg) scale(0.8, 1) !important;
  }
  .hamburger--arrowturn.is-active .hamburger-inner::before {
    transform: translate3d(9px, 0, 0) rotate(45deg) scale(0.8, 1) !important;
  }
  .trail {
    display: none !important;
  }
  @keyframes slider-language-transform-rs {
    50% {
      transform: translateX(36px) rotateY(-180deg);
    }
    100% {
      transform: translateX(36px) rotateY(360deg);
    }
  }
  #contact .welcome-description p {
    line-height: 2;
  }
}

@media only screen and (max-width: 700px) {
  :root {
    --welcome-section-width: 100%;
  }
  .main-content-wrapper {
    min-width: 570px;
  }
  .hamburger.hamburger-cubic-bezier {
    left: calc(100% - 120px);
  }
  .navigation-on {
    width: var(--nav-width);
  }
  .welcome-word-wrapper {
    margin-top: 10px;
    margin-bottom: 10px;
    line-height: 60px;
  }
  .welcome-cursor {
    height: 50px;
    width: 3px;
    bottom: 0;
    top: 0;
    margin-left: 3px;
  }
  .navigation-left-wrapper {
    right: 0;
    left: 0;
  }
  #email-form {
    width: auto;
  }
  .viewport-wrapper.navigation-on .main-content .welcome-text {
    font-size: 1em !important;
  }
  .viewport-wrapper.navigation-on .main-content .welcome-description {
    font-size: 1.1em !important;
  }
  .viewport-wrapper.navigation-on .welcome-word-wrapper {
    height: 50px;
  }
  .viewport-wrapper.navigation-on .welcome-word {
    height: 50px;
  }
  .viewport-wrapper.navigation-on .welcome-cursor {
    height: 50px;
    width: 2px;
  }
  .viewport-wrapper.navigation-on .welcome-avatar img {
    width: 150px;
  }
}

@media only screen and (max-width: 600px) {
  :root {
    --welcome-section-width: 100%;
  }
  .main-content-wrapper {
    min-width: 460px;
  }
  .hamburger.hamburger-cubic-bezier {
    left: calc(100% - 120px);
  }
  .navigation-on {
    width: var(--nav-width);
  }
  .welcome-word-wrapper {
    margin-top: 10px;
    margin-bottom: 10px;
    line-height: 60px;
  }
  .welcome-cursor {
    height: 50px;
    width: 3px;
    bottom: 0;
    top: 0;
    margin-left: 3px;
  }
  .navigation-left-wrapper {
    right: 0;
    left: 0;
  }
  #email-form {
    width: auto;
  }
}

@media only screen and (max-width: 500px) {
  #contact .welcome-main-wrapper {
    padding-top: 80px;
  }
  .main-content-wrapper {
    min-width: 320px;
  }
  .welcome-word-wrapper {
    height: 50px;
    line-height: 50px;
  }
  .welcome-word {
    font-size: 3em;
    height: 50px;
  }
  .welcome-cursor {
    height: 40px;
  }
  .cards-container {
    grid-template-columns: auto;
  }
  .cards-container.shopify-card {
    grid-template-columns: auto;
  }
  .cards-container.games-card {
    grid-template-columns: auto;
  }
  .cards-container.jspracticemix-card {
    grid-template-columns: auto;
  }
}

@media only screen and (max-width: 375px) {
  :root {
    --nav-width: 350px;
  }
  .main-content-wrapper {
    min-width: 250px;
  }
  .logo {
    /*margin-top: 80px;*/
  }
  .logo img {
    width: 45px;
    left: 1px;
  }
  .nav-main-btn.logo h1 {
    font-size: 17px;
    top: -5px;
    position: relative;
  }
  .navigation-left-wrapper {
    right: 28px;
    left: 28px;
  }
}

@media only screen and (max-width: 350px) {
  .welcome-word {
    font-size: 2.7em;
  }
  .logo-loading-screen span {
    font-size: 24px;
  }
  .logo-loading-screen h1 img {
    width: 72px;
  }
}

/* Internet Explorer */
.internet-explorer {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: #0d0d0d;
  color: white;
  z-index: 100000;
  text-align: center;
  padding-top: 20px;
  overflow-y: scroll;
  opacity: 0;
  animation: internetExplorer 1s forwards;
}
.internet-explorer > * {
  margin-top: 30px;
}
.internet-explorer button {
  padding: 15px;
  font-size: 1.5em;
  border: 3px solid purple;
  border-radius: 5px;
  cursor: pointer;
  font-weight: bold;
  color: purple;
}
@keyframes internetExplorer {
  75% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

/* loading page */
.full-loading {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 100000000000000003;
  background: var(--black-pale);
  animation-name: loading;
  animation-duration: 3.5s;
  animation-iteration-count: 1;
  opacity: 1;
  animation-fill-mode: forwards;
}
@keyframes loading {
  75% {
    opacity: 1;
    z-index: 100000000000000003;
  }
  100% {
    opacity: 0;
    z-index: -1;
  }
}

.full-loading-img {
  position: fixed;
  left: 50%;
  top: 50%;
  margin-left: -75px;
  margin-top: -125px;
  animation-name: loadingimg;
  animation-duration: 3.3s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
  background: linear-gradient(180deg, black, var(--purple));
  border-radius: 50%;
  width: 150px;
  border: 3px solid purple;
  transform: scale(1.2);
}
@keyframes loadingimg {
  18% {
    transform: scale(1.4);
  }
  42% {
    transform: scale(1.2);
  }
  60% {
    transform: scale(1.5);
  }
  80% {
    transform: scale(1.2);
    opacity: 1;
  }
  100% {
    transform: scale(5);
    opacity: 0;
  }
}

.logo-loading-screen {
  position: fixed;
  right: 20px;
  bottom: 20px;
}
.logo-loading-screen span {
  padding: 3px 5px;
}
.logo-loading-screen h1 img {
  width: 82px;
  position: relative;
  top: 13px;
}

/* ReCaptcha Badge */
.grecaptcha-badge {
  bottom: 55px !important;
}

/* Zoom in only - 150% windows and Mac - Windows window.devicePixelRatio = 1 by default, Mac window.devicePixelRatio = 2 by default */
.zoom-in-150-plus-only {
  display: none;
}
@media only screen and (min-width: 768px) and (-webkit-min-device-pixel-ratio: 1.5) {
  .zoom-in-150-plus-only {
    display: inline;
  }
}

@media only screen and (min-width: 768px) and (-webkit-min-device-pixel-ratio: 1.9) {
  .zoom-in-150-plus-only {
    display: none;
  }
}

@media only screen and (min-width: 768px) and (-webkit-min-device-pixel-ratio: 2.9) {
  .zoom-in-150-plus-only {
    display: inline;
  }
}

/* Best thing in the world yo kinda not really but really cool :D

* {
    background: #000 !important;
    color: #0f0 !important;
    outline: solid #f00 1px !important;
}

*/
